%define upstream_name    Encode-Newlines
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Normalize line ending sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode::Encoding)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides the 'CR', 'LF', 'CRLF' and 'Native' encodings, to aid
in normalizing line endings.

It converts whatever line endings the source uses to the designated newline
sequence, for both 'encode' and 'decode' operations.

If you specify two different line endings joined by a '-', it will use the
first one for decoding and the second one for encoding. For example, the
'LF-CRLF' encoding means that all input should be normalized to 'LF', and
all output should be normalized to 'CRLF'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-2.mga6
+ Revision: 1026923
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 953356
- update to 0.05

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 949939
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.40.0-1.mga5
+ Revision: 791909
- imported package perl-Encode-Newlines


* Sun Oct 19 2014 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
